@echo off
Echo ~
Echo ~
Echo *********************************************
Echo *                                           *
Echo *      A small CMD script to convert        * 
Echo *       DipTrace gerber files names         *
Echo *          to JLCPCB name format            *
Echo *                                           *
Echo *                     by                    *
Echo *                   iurius                  *
Echo *            iuries#gmail.com            *
Echo *                                           *
Echo *********************************************
Echo *                                           *
Echo *             This software uses:           *
Echo *  7-Zip Extra: standalone console version  *
Echo *           https://www.7-zip.org/          *
Echo *                                           *
Echo *      A big Thank You to Igor Pavlov!      *
Echo *                                           *
Echo *                                           *
Echo *********************************************
Echo ~
Echo ~
pause


CLS
Echo (name of the final file to be uploaded to JLCPCB)
SET /P boardname= Please enter board name:
Echo -------------------------------------------------
Echo (depending on the number of layers, additional files will be converted)
SET /P layernumber= Please enter number of board layers (2 or 4):

mkdir %CD%\_JLCPCB_
mkdir %CD%\_JLCPCB_\"%boardname%"
rem CLS

IF "%layernumber%"=="4" GOTO :Layers4
GOTO :Layers2


:Layers4
Echo "Renaming 4 layer files"
Echo :
copy "1 - Top.gbr" "%boardname%.GTL"
copy "2 - Inner 1.gbr" "%boardname%.G2L"
copy "3 - Inner 2.gbr" "%boardname%.G3L"
copy "4 - Bottom.gbr" "%boardname%.GBL"
copy TopMask.gbr "%boardname%.GTS"
copy BottomMask.gbr "%boardname%.GBS"
copy TopSilk.gbr "%boardname%.GTO"
copy BottomSilk.gbr "%boardname%.GBO"
copy BoardOutline.gbr "%boardname%.GKO"
copy Through.drl "%boardname%.XLN"

move "%boardname%.GTL" %CD%\_JLCPCB_\"%boardname%"
move "%boardname%.G2L" %CD%\_JLCPCB_\"%boardname%"
move "%boardname%.G3L" %CD%\_JLCPCB_\"%boardname%"
move "%boardname%.GBL" %CD%\_JLCPCB_\"%boardname%"
move "%boardname%.GTS" %CD%\_JLCPCB_\"%boardname%"
move "%boardname%.GBS" %CD%\_JLCPCB_\"%boardname%"
move "%boardname%.GTO" %CD%\_JLCPCB_\"%boardname%"
move "%boardname%.GBO" %CD%\_JLCPCB_\"%boardname%"
move "%boardname%.GKO" %CD%\_JLCPCB_\"%boardname%"
move "%boardname%.XLN" %CD%\_JLCPCB_\"%boardname%"

pause
GOTO :Zip


:Layers2
Echo "Renaming 2 layer files"
Echo :
Echo "Layers Top & Bottom"
copy "1 - Top.gbr" "%boardname%.GTL"
copy "2 - Bottom.gbr" "%boardname%.GBL"
copy TopMask.gbr "%boardname%.GTS"
copy BottomMask.gbr "%boardname%.GBS"
copy TopSilk.gbr "%boardname%.GTO"
copy BottomSilk.gbr "%boardname%.GBO"
copy BoardOutline.gbr "%boardname%.GKO"
copy Through.drl "%boardname%.XLN"

move "%boardname%.GTL" %CD%\_JLCPCB_\"%boardname%"
move "%boardname%.GBL" %CD%\_JLCPCB_\"%boardname%"
move "%boardname%.GTS" %CD%\_JLCPCB_\"%boardname%"
move "%boardname%.GBS" %CD%\_JLCPCB_\"%boardname%"
move "%boardname%.GTO" %CD%\_JLCPCB_\"%boardname%"
move "%boardname%.GBO" %CD%\_JLCPCB_\"%boardname%"
move "%boardname%.GKO" %CD%\_JLCPCB_\"%boardname%"
move "%boardname%.XLN" %CD%\_JLCPCB_\"%boardname%"
pause
GOTO :Zip




:Zip
rem CLS
C:\7-Zip_Extra\7za a %CD%\_JLCPCB_\"%boardname%.zip" %CD%\_JLCPCB_\"%boardname%"\*

rem rmdir /S /Q  %CD%\_JLCPCB_\"%boardname%"
Echo ~
Echo ~
Echo ******************************************
Echo *                                        *
Echo *   The created ZIP file was placed in   * 
Echo *           the _JLCPCB_ folder          *
Echo *                                        *
Echo *           The folder will open         *
Echo *        at the end of the script...     *
Echo *                                        *
Echo *                                        *
Echo *     Just drag'n'drop the zip file      *
Echo *   from the folder to the JLCPCB page   *
Echo *                                        *
Echo ******************************************
Echo ~
Echo ~ 
pause
CLS
@echo off
md %CD%\ORIGINAL
move %CD%\*.gbr %CD%\ORIGINAL
move %CD%\*.drl %CD%\ORIGINAL
CLS
Echo.
Echo                    Just a little tidy up!
Echo. 
Echo       The ORIGINAL gerbers were grouped into a folder 
Echo                        for later use.
Echo.
Echo                             Enjoy!
Echo.
Echo.
Echo.
:end
pause
start %CD%\_JLCPCB_